%global upstream_name trace-cmd

Name: trace-gui
Version: 1.0.4
Release: 2%{?dist}
# changed from the trace-cmd spec. The libraries are not included here,
# therefore there is no LGPLv2,1 in here.
License: GPLv2
Summary: trace-cmd is a user interface to Ftrace

Group: Development/Tools
URL: http://www.kernel.org/pub/linux/analysis/trace-cmd/
Source0: http://www.kernel.org/pub/linux/analysis/trace-cmd/%{upstream_name}-%{version}.tar.bz2
Source1: kernelshark.desktop
Patch0: trace-cmd-1.0.4-rpm-opt-flags.patch
BuildRoot: %{_tmppath}/%{upstream_name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: xmlto
BuildRequires: asciidoc
BuildRequires: mlocate
# needed for the GUI pieces only
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: libxml2-devel
BuildRequires: desktop-file-utils
# Require our friend
Requires: trace-cmd = %{version}

%description
trace-cmd is a user interface to Ftrace. Instead of needing to use the
debugfs directly, trace-cmd will handle of setting of options and
tracers and will record into a data file.

This package is the GUI components of trace-cmd, that is not packaged in RHEL,
built for EPEL only.

%prep
%setup -q -n %{upstream_name}-%{version}
%patch0 -p1 -b .rpmoptflag

%build
make V=1 RPM_OPT_FLAGS="%{optflags}" gui

%install
rm -Rf %{buildroot}
make V=1 DESTDIR=%{buildroot} prefix=%{_prefix} install_gui
# remove the stuff that RHEL packages
rm %{buildroot}/%{_bindir}/trace-cmd
rm -rf %{buildroot}/%{_datadir}
install -dm 755 %{buildroot}/%{_datadir}/applications
install -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/applications/kernelshark.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/kernelshark.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/trace-view
%{_bindir}/trace-graph
%{_bindir}/kernelshark
%{_datadir}/applications/kernelshark.desktop

%changelog
* Tue Feb 15 2011 Jon Stanley <jonstanley@gmail.com> - 1.0.4-2
- Fixups from review

* Tue Feb 8 2011 Jon Stanley <jonstanley@gmail.com> - 1.0.4-1
- Add GUI components, initial package for EPEL.
- Based on RHEL trace-cmd spec file
